XnModuleMirrorInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnStatus(* | SetMirror )(XnModuleNodeHandle hInstance, XnBool bMirror)
XnBool(* | IsMirrored )(XnModuleNodeHandle hInstance)
XnStatus(* | RegisterToMirrorChange )(XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromMirrorChange )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## Member Data Documentation

## IsMirrored

XnBool(* XnModuleMirrorInterface::IsMirrored) (XnModuleNodeHandle hInstance)

Gets current mirroring configuration.

Parameters

  hGenerator | [in] A handle to the instance.

## RegisterToMirrorChange

XnStatus(* XnModuleMirrorInterface::RegisterToMirrorChange) (XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

Registers a callback function to mirror changes.

Parameters

  hGenerator | [in] A handle to the instance.
  handler | [in] A pointer to a function that will be called when mirror changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to UnregisterFromMirrorChange().

## SetMirror

XnStatus(* XnModuleMirrorInterface::SetMirror) (XnModuleNodeHandle hInstance, XnBool bMirror)

Sets current mirror configuration.

Parameters

  hGenerator | [in] A handle to the instance.
  bMirror | [in] TRUE for mirroring output, FALSE otherwise.

## UnregisterFromMirrorChange

void(* XnModuleMirrorInterface::UnregisterFromMirrorChange) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

Unregisters a callback function which was registered using RegisterToMirrorChange().

Parameters

  hGenerator | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from RegisterToMirrorChange().

The documentation for this struct was generated from the following file:

- XnModuleInterface.h